diff --git a/sway/input/seatop_default.c b/sway/input/seatop_default.c
index ffa43658e9..487be9616a 100644
--- a/sway/input/seatop_default.c
+++ b/sway/input/seatop_default.c
@@ -279,8 +279,13 @@ static void handle_button(struct sway_seat *seat, uint32_t time_msec,
 	}
 
 	// Handle clicking an empty workspace
-	if (node && node->type == N_WORKSPACE) {
-		seat_set_focus(seat, node);
+	if (node && node->type == N_WORKSPACE ) {
+		sway_log(SWAY_DEBUG, "Handle clicking an empty workspace");
+		if ( state == WLR_BUTTON_PRESSED) {
+			seat_set_focus(seat, node);
+		} else {
+			seat_pointer_notify_button(seat, time_msec, button, state);
+		}
 		return;
 	}
 
